Package com.orbbec.obsensor

## Class VideoStreamProfile

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.StreamProfile
    - - com.orbbec.obsensor.VideoStreamProfile

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class VideoStreamProfile
    extends StreamProfile

Data stream configuration for Color, Depth, IR stream

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFrameRate()` Get data stream frame rate per second
`int` `getHeight()` Get data flow height
`int` `getWidth()` Get data stream width

### Methods inherited from class com.orbbec.obsensor.StreamProfile

`as, close, getFormat, getType`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getWidth

    public int getWidth()

Get data stream width

Returns:
  data stream width

#### getHeight

    public int getHeight()

Get data flow height

Returns:
  data flow height

#### getFrameRate

    public int getFrameRate()

Get data stream frame rate per second

Returns:
  streaming frame rate